classification
Title: PyUnicode_AsEncodedObject is undocumented
Type: Stage: needs patch
Components: Documentation Versions: Python 3.2, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Document unicode C-API in reST
View: 10435
Assigned To: docs@python Nosy List: docs@python, hodgestar, stutzbach, vstinner
Priority: normal Keywords:

Created on 2010-05-07 15:55 by stutzbach, last changed 2010-11-20 23:19 by belopolsky. This issue is now closed.

Messages (4)
msg105203 - (view) Author: Daniel Stutzbach (stutzbach) (Python committer) Date: 2010-05-07 15:55
PyUnicode_AsEncodedObject is undocumented.  It has the same signature as PyUnicode_AsEncodedString, although they do slightly different things based on a brief source code inspection (I'm not clear on what that difference is though).
msg107837 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2010-06-14 22:53
Can you write a patch?

See also #8646.
msg107871 - (view) Author: Daniel Stutzbach (stutzbach) (Python committer) Date: 2010-06-15 13:55
I'm not really clear on what PyUnicode_AsEncodedObject does (as opposed to PyUnicode_AsEncodedString).  Someone already familiar with those two functions would have a much easier time writing a documentation patch.
msg121672 - (view) Author: Simon Cross (hodgestar) Date: 2010-11-20 16:23
This issue is subsumed by #10435 and can probably be closed as a duplicated.
History
Date User Action Args
2010-11-20 23:19:42belopolskysetstatus: open -> closed
resolution: duplicate
superseder: Document unicode C-API in reST
2010-11-20 16:23:45hodgestarsetnosy: + hodgestar
messages: + msg121672
2010-06-15 13:55:18stutzbachsetmessages: + msg107871
2010-06-14 22:53:05vstinnersetmessages: + msg107837
2010-05-13 01:11:03vstinnersetnosy: + vstinner
2010-05-07 15:55:34stutzbachcreate